## hideuseragent 0.1

=== src/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# src/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/hideuseragent
pkglibdir = $(libdir)/hideuseragent
pkgincludedir = $(includedir)/hideuseragent
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnueabi
subdir = src
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/jerome/MaemoProj/HideUserAgent/missing --run aclocal-1.8
ALL_LINGUAS = en_GB fr_FR
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/jerome/MaemoProj/HideUserAgent/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/jerome/MaemoProj/HideUserAgent/missing --run autoconf
AUTOHEADER = ${SHELL} /home/jerome/MaemoProj/HideUserAgent/missing --run autoheader
AUTOMAKE = ${SHELL} /home/jerome/MaemoProj/HideUserAgent/missing --run automake-1.8
AWK = gawk
CATALOGS =  en_GB.gmo fr_FR.gmo
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -g -O2 -Wall -ansi -pedantic -Wmissing-prototypes -Wmissing-declarations
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = 
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DEPS_CFLAGS = -DMAEMO_CHANGES -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
DEPS_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GETTEXT_PACKAGE = hideuseragent
GMOFILES =  en_GB.gmo fr_FR.gmo
GMSGFMT = /scratchbox/tools/bin/msgfmt
GREP = /scratchbox/tools/bin/grep
HILDON_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
HILDON_LIBS = -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INSTOBJEXT = .mo
INTLLIBS = 
INTLTOOL_CAVES_RULE = %.caves:     %.caves.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_DESKTOP_RULE = %.desktop:   %.desktop.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_DIRECTORY_RULE = %.directory: %.directory.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_EXTRACT = /scratchbox/devkits/doctools/bin/intltool-extract
INTLTOOL_KBD_RULE = %.kbd:       %.kbd.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -m -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_KEYS_RULE = %.keys:      %.keys.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -k -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_MERGE = /scratchbox/devkits/doctools/bin/intltool-merge
INTLTOOL_OAF_RULE = %.oaf:       %.oaf.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -p $(top_srcdir)/po $< $@
INTLTOOL_PERL = /scratchbox/tools/bin/perl
INTLTOOL_POLICY_RULE = %.policy:    %.policy.in    $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_PONG_RULE = %.pong:      %.pong.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_PROP_RULE = %.prop:      %.prop.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SCHEMAS_RULE = %.schemas:   %.schemas.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -s -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SERVER_RULE = %.server:    %.server.in    $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SERVICE_RULE = %.service: %.service.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SHEET_RULE = %.sheet:     %.sheet.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SOUNDLIST_RULE = %.soundlist: %.soundlist.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_THEME_RULE = %.theme:     %.theme.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_UI_RULE = %.ui:        %.ui.in        $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_UPDATE = /scratchbox/devkits/doctools/bin/intltool-update
INTLTOOL_XAM_RULE = %.xam:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_XML_NOMERGE_RULE = %.xml:       %.xml.in       $(INTLTOOL_MERGE) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u /tmp $< $@
INTLTOOL_XML_RULE = %.xml:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/jerome/MaemoProj/HideUserAgent/missing --run makeinfo
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMT_OPTS = -c
MSGMERGE = /scratchbox/tools/bin/msgmerge
NMEDIT = 
OBJEXT = o
OSSOSETTINGS_CFLAGS =  
OSSOSETTINGS_LIBS =  
OSSO_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include  
OSSO_LIBS = -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
PACKAGE = hideuseragent
PACKAGE_BUGREPORT = 
PACKAGE_NAME = hideuseragent
PACKAGE_STRING = hideuseragent 0.1
PACKAGE_TARNAME = hideuseragent
PACKAGE_VERSION = 0.1
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
POFILES =  en_GB.po fr_FR.po
POSUB = po
PO_IN_DATADIR_FALSE = 
PO_IN_DATADIR_TRUE = 
RANLIB = ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
USE_NLS = yes
VERSION = 0.1
XGETTEXT = /scratchbox/tools/bin/xgettext
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = 
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
datadir = ${datarootdir}
datarootdir = ${prefix}/share
desktopentrydir = 
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
hildoncpdesktopentrydir = /usr/share/applications/hildon-control-panel
hildoncplibdir = /usr/lib/hildon-control-panel
hildondesktopentrydir = /usr/share/dbus-1/services
hildoniconthemedir = /home/jerome/.icons/hicolor
hildonstatusbarplugindir = 
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/jerome/MaemoProj/HideUserAgent/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = /usr/share/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
EXTRA_DIST = \
	main.c

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  src/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \

=== debian/changelog ===
hideuseragent (0.1) unstable; urgency=low

  * First release

 -- Dart <jerome@mainguet.net>  Fri, 4 Dec 2009 16:33:00 +0100

=== debian/control ===
Source: hideuseragent
Section: user/network
Priority: extra
Maintainer: Dart <jerome@mainguet.net>
Build-Depends: debhelper (>= 5), intltool, hildon-control-panel-dev,
               libgtk2.0-dev, libosso-gnomevfs2-dev, libglib2.0-dev, libdbus-glib-1-dev, libosso-dev, osso-af-settings
Standards-Version: 3.7.2

Package: hideuseragent
Architecture: any
#Depends: maemo
Description: Application to change MicroB Useragent
 On some networks like SFR network in France, access from PC to public APNs are denied.
 This is mainly done based on the web browser's useragent string.
 As Maemo's Web Browser is seen as Firefox, it can be impossible to surf the Internet.
 This application changes the useragent string to remove Firefox string thus
 allowing access to public APNs.
 It also contains a Control Panel Applet to enable/remove the useragent customisation.
XSBC-Maemo-Display-Name: HideUserAgent
XSBC-Maemo-Upgrade-Description: 0.1
  * First release

## hideuseragent 0.2

=== src/Makefile ===
--- 
+++ 
@@ -60,13 +60,13 @@
 CATOBJEXT = .gmo
 CC = gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS = -Wall -g -O2 -Wall -ansi -pedantic -Wmissing-prototypes -Wmissing-declarations
+CFLAGS = -O2 -g -Wall -ansi -pedantic -Wmissing-prototypes -Wmissing-declarations
 CPP = gcc -E
 CPPFLAGS = 
 CXX = g++
 CXXCPP = g++ -E
 CXXDEPMODE = depmode=gcc3
-CXXFLAGS = 
+CXXFLAGS = -O2 -g
 CYGPATH_W = echo
 DATADIRNAME = share
 DEFS = -DHAVE_CONFIG_H

=== debian/changelog ===
hideuseragent (0.2) unstable; urgency=low

  * Added visual feedback
  * Added icons

 -- Dart <jerome@mainguet.net>  Sun, 6 Dec 2009 11:04:00 +0100

## hideuseragent 0.2.1

=== debian/changelog ===
hideuseragent (0.2.1) stable; urgency=low

  * Added visual feedback
  * Added icons
  * Added French translation

 -- Dart <jerome@mainguet.net>  Sun, 6 Dec 2009 20:18:00 +0100

=== debian/control ===
--- 
+++ 
@@ -17,5 +17,62 @@
  allowing access to public APNs.
  It also contains a Control Panel Applet to enable/remove the useragent customisation.
 XSBC-Maemo-Display-Name: HideUserAgent
-XSBC-Maemo-Upgrade-Description: 0.1
-  * First release
+XSBC-Maemo-Upgrade-Description: 0.2
+  * Added visual feedback
+  * Added icons
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
+ 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
+ SU1FB9kMBgk3OdmtRikAAAj/SURBVGje7Zl7cNTVFcc/+9tXdrMbdvPekBBe
+ QiAJLxsgERWtQ7W1Ha0UpdOHdhyqdOioDDi22nE6Vq3aaWkdLX9odZxq6xAH
+ DdryMEYeFcEIETG4SUhCQkIem+xm37u/3+/2jyxpMJvktxBHZ8qZObM79/7u
+ ued777nnnHsuXKbL9P9NuqkWuHa7WAw4gNWjmr3A8cjQuc5dW1wtXzcA+ifr
+ K3+qKJm3NBx/ZbUqnPbxPrSYTjC/9FGvydhdo8hi50MVh98ElK8EwJadS7Oc
+ LvMDxjRpk6TX2QGCgbmc/PQvKIo9qfKlix/AaAqPtKmK6IgGlccervrwhYsF
+ cjEA9A+9s2x95vS0584rPpqSgVAiQ5Quug9njjupwFjE1tHdmvvzP//glX+l
+ qoyU4veW3x5c/s/sGZZXkikPkG5rprRsE3q9/38rLUdG/oeDWcRjlgvGmNIC
+ RcULTr/z0J7vPAPovxQAazYWFT9ZX/lRusN422TfjoCQfGP6mj5Zx7EDm8eA
+ AMgu8G5+tK5iB2CZUgBrNhYVr75z+m6jWVqoVXC6rRmjemBM+6wFNURCWURC
+ WUnH2bNNtzxaV/GqVhBatsvywyfnvWhzGquSdbob1tHu/hZNn6wj6M8np6Bh
+ pK+jaTWKbgZCjjDUl0lu4VEs6QNk5p3E7ugcd0KzVV+y7Ns5zoOvdu+b7HBP
+ doj1D+xY8vj0kvStWlajo/l6BvvmY3d0EA5mce5MFZa8UtR4mOhgGwZDgKVX
+ /2FC5UfTp7WeH//tl6demwiENInprHJdYb1Xq9kUza0lEsqitfG7nDtThd6a
+ OTyJ0YLJMYMrFr2uWXmAklXO3wOuib4xTNA3bcVteZslvc4e8sm0f+Kn+UMv
+ bcf99JwOE/HLpNkN5M22MHOJnbkrHBQvsuPIdhOjCiQ9elP6iDARjxAJZTGu
+ LJuJaa58XPOLKSyfQ/EiG7PKjhVs2bn0kadvObYJiKVkQqvvLFiz4ra83W89
+ 3Ubj/kHNq+ZaWEHp97fjKFp6Qftg2xFOVG+h171fs6w5y4u59mdXBV+859Vl
+ gDsV95pVuS7/KCAulpfc8axYu12ItduFWHLHs+JSZNlnXfM2YEoFwIZLmfA8
+ V218U1RtfFNMhSzgLs2pgt5kODsVk9rzS4Q9v2SqAJzW6oVsRrNIabvGJSGG
+ eQrIkKa3JAtuyQBYr7rDVT8Vk5bd+gRltz4xJQBKbzK9B1i1ALCv+tHC7Ft/
+ PfuSJly8bhuu8ptxld/M4nXbLknWmq0ZVKxP9yc7yEkDmdHoY9V6Fw/WLGXB
+ Nc6UJssrvZEbHm5g9tUbEKqCUBVmX72B637VQOb8G1OSNWeVmQ3VOVx5+0g8
+ sWsJZJbWxhtYuKKO3FlW7n5uISGfTNNRHYd2Xsng6fcIDTYTCcQxWhzYc+eR
+ OWslOfOuxTlzOSbrMGChqsO5vgz+iCBgmEPx7TuYHh7Ee+otChxb6WyI4WmT
+ ifgFaXYdWTMNFC42UVxhoqDchCVj8lwzGQBD68nrUVUXZZWvDR+KaQYW3wB9
+ 3l+gXnUXQqjodBJp2fPHntuE4tG4wBsSROQvuDhzBrbClVx/d8bUHO4kbdGg
+ p73/bMs3EEJQVvWP4YtIwIlQZEwZRShRP5LJilDH5ljBiCAQFUTiEzgnVZkq
+ 55QUQMyQ7vJIJjtnW65ECJXSytcxWwdZuPzvNJ16ELPdxOySv5Jm6cU3UE57
+ y3oCERVfSCCrGryrqqCqqSnauDfSBUS1AFD63LVuZ/FWhFDoal6GUAWlK3eQ
+ V3gIpD+Rbm/FZm9FFSr69AN45ZO0HfmN9vCgqgS8OVjt/ZrHNL0fPZEsoUuW
+ zLmAypse76mWdBAPdKNGhnDN/pgFK6sT8UkhLA8RUnwIMXYpB/uWcfzw08jx
+ 5BWW2FAHDudhlt/07AVVivFo6Jzc/8LanrXAccCn5UZmzZ67+pvWjHyH3piO
+ UGIM9TlxFnxKVGrHF+0lqkRQVTESbEez2dKNQeqkr+uaCyNygnVI+HslOpsq
+ CA5lEQlmYM/sTCpLCHDXhg+0/ifyb+DsFy83yfxUAAj1Ne3fI1QVoarIxhz6
+ /Sph4xFC0QCqopuUsws+RA71j8SC0awzpGG0uQj7s2ltuI4zjZUTynLXht8H
+ QslMaDxH622pfapuoL/X3+WJ0uWJ4g8peHsLURSdJpb0YZSIH1VRkrLOlIEp
+ cz4GezGqqo4rp/2j6OedH0frAU8qV8pewN24+3c1kagMqoIOPYff2oS3t1DT
+ DqiKDqHEQVUmZMmQRsjnJBq2JpVx5CXfLqAnVQBhwO87Vb0r1H2sTVUU9NZc
+ ZDmDIzX34u0rQFGYlFVVGXcHRnPYn8m+lx4bM75xd6C+57NYXUJ5JdVLfQfg
+ 7tp7X7UaC0aFEBjtM5DlaRytuUeTGQ2fIWVSNtimg7hwrKfd1L//jwMvJfTo
+ vpiqRBjokYPn9nTtu38YhCow2oqQYzZNJoSqIJTJWSeZ0UnGkXFDPWb/7kda
+ XwPqgc6LLqskBneEOg/u6t53/y41PrwT6CRNJqRl9UezokDQa45+8HxHTcij
+ 7AK6xrN9LWWVkeIbYAp1fUB37Wbyrn3qZqGoZkWZuCbmOVOCUNSk+VLS6Kyo
+ DPUo/Xsfbn4jPKhUJ0xn0iKSltKiAIYAVfZ39vtbasLmnPLc4mVH7ULoSMbx
+ aBqfH/oespyPZLQyboQaxcGOuhMNLx/aGw+Ezyvv1vJmoLWULQODQEzIoTPB
+ tj3hqF/xO2aZ8ySTZB6tS0/zIk7uW0/UPw1Dev5wtjKB4jFva9dA/bY638mX
+ 3xVKpCax6s1aHzxSqcUrCRBxoHOgJTrgftvXJVTCkkEizWF0CKHDc2Ye3nNX
+ YEgvQKc3jat4tP+ztsGG5w8M1D/zQdzX8i5wEGgD2hO7/qU+MdmAmYkrXjkw
+ L22aPqugwuZSpbLsiPITl0668PqqyuFY3N/uiXmb+gPNb7QDfuBEwlQ8CbMJ
+ p6rIpT7yZQG5iWqBCyhI/NqT3F/7E3lWV8KvexIguhLtX+kzqyWhsCPxfzzv
+ Fj0f5RNPr7GvwzPrRGY2+vyEuUyX6etH/wUwBtoqvrMDBwAAAABJRU5ErkJg
+ gg==

## hideuseragent 0.2.2

=== debian/changelog ===
hideuseragent (0.2.2) stable; urgency=low

  * Updated description

 -- Dart <jerome@mainguet.net>  Mon, 7 Dec 2009 07:45:00 +0100
 
 hideuseragent (0.2.1) stable; urgency=low

  * Added visual feedback
  * Added icons
  * Added French translation

 -- Dart <jerome@mainguet.net>  Sun, 6 Dec 2009 20:18:00 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: hideuseragent
 Architecture: any
 #Depends: maemo
-Description: Application to change MicroB Useragent
+Description: Application to hide Firefox in Maemo Web browser Useragent
  On some networks like SFR network in France, access from PC to public APNs are denied.
  This is mainly done based on the web browser's useragent string.
  As Maemo's Web Browser is seen as Firefox, it can be impossible to surf the Internet.
@@ -17,9 +17,6 @@
  allowing access to public APNs.
  It also contains a Control Panel Applet to enable/remove the useragent customisation.
 XSBC-Maemo-Display-Name: HideUserAgent
-XSBC-Maemo-Upgrade-Description: 0.2
-  * Added visual feedback
-  * Added icons
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

## hideuseragent 0.3

=== src/Makefile ===
--- 
+++ 
@@ -137,9 +137,9 @@
 PACKAGE = hideuseragent
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = hideuseragent
-PACKAGE_STRING = hideuseragent 0.1
+PACKAGE_STRING = hideuseragent 0.3
 PACKAGE_TARNAME = hideuseragent
-PACKAGE_VERSION = 0.1
+PACKAGE_VERSION = 0.3
 PATH_SEPARATOR = :
 PKG_CONFIG = /scratchbox/tools/bin/pkg-config
 POFILES =  en_GB.po fr_FR.po
@@ -152,7 +152,7 @@
 SHELL = /bin/sh
 STRIP = strip
 USE_NLS = yes
-VERSION = 0.1
+VERSION = 0.3
 XGETTEXT = /scratchbox/tools/bin/xgettext
 ac_ct_CC = gcc
 ac_ct_CXX = g++

=== debian/changelog ===
hideuseragent (0.3) stable; urgency=low

  * Added possibility to change useragent string

 -- Dart <jerome@mainguet.net>  Mon, 7 Dec 2009 07:45:00 +0100

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,22 @@
 Package: hideuseragent
 Architecture: any
 #Depends: maemo
-Description: Application to hide Firefox in Maemo Web browser Useragent
+Description: Allows to hide Maemo Web browser User Agent
  On some networks like SFR network in France, access from PC to public APNs are denied.
  This is mainly done based on the web browser's useragent string.
  As Maemo's Web Browser is seen as Firefox, it can be impossible to surf the Internet.
  This application changes the useragent string to remove Firefox string thus
  allowing access to public APNs.
  It also contains a Control Panel Applet to enable/remove the useragent customisation.
+Description-fr_FR: Permet masquer le User Agent du navigateur web de Maemo
+ Sur certains réseaux, il est interdit d'utiliser les points d'accès publics pour aller
+ sur Internet avec son PC. L'opérateur se base en général sur le "User Agent" du
+ navigateur web. C'est le case avec SFR en France et les points d'accès Illimythics ou 
+ autre (wapsfr et sl2sfr).
+ Comme le navigateur web de Maemo est vu comme Firefox, il devient alors impossible de
+ surfer sur Internet.
+ Cette application change le "User Agent" du navigateur web. Elle contient une application
+ pour le paneau de configuration permettant de mettre en place ou retirer ce changement.
 XSBC-Maemo-Display-Name: HideUserAgent
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g
PACKAGENAME = hideuseragent

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	test -e ./configure || ./autogen.sh 
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" ./configure --prefix=/usr
	touch configure-stamp

build: build-stamp

build-stamp:  configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp 

	# Add here commands to clean up after the build process.
	mv debian/rules debian/rules.save
	-$(MAKE) distclean
	mv debian/rules.save debian/rules

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

    # Add here commands to install the package into debian/$(PACKAGENAME)
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(PACKAGENAME) install
    

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## hideuseragent 0.3.1

=== debian/changelog ===
hideuseragent (0.3.1) stable; urgency=low

  * Added bugtracker link

 -- Dart <jerome@mainguet.net>  Wed, 9 Dec 2009 13:32:00 +0100

## hideuseragent 0.3.2

=== debian/changelog ===
hideuseragent (0.3.2) stable; urgency=low

  * Corrected file access rights

 -- Dart <jerome@mainguet.net>  Thu, 10 Dec 2009 11:37:00 +0100
 
 hideuseragent (0.3.1) stable; urgency=low

  * Added bugtracker link

 -- Dart <jerome@mainguet.net>  Wed, 9 Dec 2009 13:32:00 +0100

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
  Cette application change le "User Agent" du navigateur web. Elle contient une application
  pour le paneau de configuration permettant de mettre en place ou retirer ce changement.
 XSBC-Maemo-Display-Name: HideUserAgent
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=HideUserAgent
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

## hideuseragent 0.3.3

=== debian/changelog ===
hideuseragent (0.3.3) stable; urgency=low

  * Removed bugzilla database link. Not needed for such a small app.

 -- Dart <jerome@mainguet.net>  Fri, 11 Dec 2009 09:10:00 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Architecture: any
 #Depends: maemo
 Description: Allows to hide Maemo Web browser User Agent
- On some networks like SFR network in France, access from PC to public APNs are denied.
- This is mainly done based on the web browser's useragent string.
+ On some networks like SFR network in France, access from PC to public GPRS Access Points 
+ is denied. This is mainly done based on the web browser's useragent string.
  As Maemo's Web Browser is seen as Firefox, it can be impossible to surf the Internet.
  This application changes the useragent string to remove Firefox string thus
  allowing access to public APNs.
@@ -26,7 +26,6 @@
  Cette application change le "User Agent" du navigateur web. Elle contient une application
  pour le paneau de configuration permettant de mettre en place ou retirer ce changement.
 XSBC-Maemo-Display-Name: HideUserAgent
-XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=HideUserAgent
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

## hideuseragent 0.3.4

=== debian/changelog ===
hideuseragent (0.3.4) stable; urgency=low

  * Removed bugzilla database link. Not needed for such a small app.

 -- Dart <jerome@mainguet.net>  Fri, 11 Dec 2009 10:42:00 +0100
 

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
  Cette application change le "User Agent" du navigateur web. Elle contient une application
  pour le paneau de configuration permettant de mettre en place ou retirer ce changement.
 XSBC-Maemo-Display-Name: HideUserAgent
+XSBC-Bugtracker:
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

## hideuseragent 0.3.5

=== debian/changelog ===
hideuseragent (0.3.5) stable; urgency=low

  * Changed bugzilla database link to talk.maemo.org...

 -- Dart <jerome@mainguet.net>  Fri, 11 Dec 2009 10:42:00 +0100
 
 hideuseragent (0.3.4) stable; urgency=low

  * Removed bugzilla database link. Not needed for such a small app.

 -- Dart <jerome@mainguet.net>  Fri, 11 Dec 2009 10:42:00 +0100
 

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  Cette application change le "User Agent" du navigateur web. Elle contient une application
  pour le paneau de configuration permettant de mettre en place ou retirer ce changement.
 XSBC-Maemo-Display-Name: HideUserAgent
-XSBC-Bugtracker:
+XSBC-Bugtracker: http://talk.maemo.org/
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

## hideuseragent 0.3.6

=== debian/changelog ===
hideuseragent (0.3.6) stable; urgency=low

  * Changed bug report link to dart@mainguet.net

 -- Dart <jerome@mainguet.net>  Fri, 11 Dec 2009 10:42:00 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  Cette application change le "User Agent" du navigateur web. Elle contient une application
  pour le paneau de configuration permettant de mettre en place ou retirer ce changement.
 XSBC-Maemo-Display-Name: HideUserAgent
-XSBC-Bugtracker: http://talk.maemo.org/
+XSBC-Bugtracker: mailto: dart@mainguet.net
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

## hideuseragent 0.3.7

=== debian/changelog ===
hideuseragent (0.3.7) stable; urgency=low

  * Updated description to specify that the user agent is changed
  	during installation
  * Updated script to correct error whil uninstalling from command line

 -- Dart <dart@mainguet.net>  Fri, 11 Dec 2009 10:42:00 +0100
 
 hideuseragent (0.3.6) stable; urgency=low

  * Changed bug report link to dart@mainguet.net

 -- Dart <dart@mainguet.net>  Fri, 11 Dec 2009 10:42:00 +0100

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  This application changes the useragent string to remove Firefox string thus
  allowing access to public APNs.
  It also contains a Control Panel Applet to enable/remove the useragent customisation.
+ During installation, the User Agent will be changed to "Maemo Browser".
 Description-fr_FR: Permet masquer le User Agent du navigateur web de Maemo
  Sur certains réseaux, il est interdit d'utiliser les points d'accès publics pour aller
  sur Internet avec son PC. L'opérateur se base en général sur le "User Agent" du
@@ -25,6 +26,7 @@
  surfer sur Internet.
  Cette application change le "User Agent" du navigateur web. Elle contient une application
  pour le paneau de configuration permettant de mettre en place ou retirer ce changement.
+ Pendant l'installation, le User Agent est changé en "Maemo Browser".
 XSBC-Maemo-Display-Name: HideUserAgent
 XSBC-Bugtracker: mailto: dart@mainguet.net
 XB-Maemo-Icon-26:
